package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentAudioFadeFilter extends NLESegmentFilter {
    public transient long LIZIZ;
    public transient boolean LIZJ;

    static {
        Covode.recordClassIndex(29847);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentAudioFadeFilter() {
        this(NLEEditorJniJNI.new_NLESegmentAudioFadeFilter());
        MethodCollector.i(14100);
        MethodCollector.o(14100);
    }

    public NLENode clone() {
        MethodCollector.i(13882);
        long NLESegmentAudioFadeFilter_clone = NLEEditorJniJNI.NLESegmentAudioFadeFilter_clone(this.LIZIZ, this);
        if (NLESegmentAudioFadeFilter_clone == 0) {
            MethodCollector.o(13882);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentAudioFadeFilter_clone, true);
        MethodCollector.o(13882);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(13881);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZJ) {
                this.LIZJ = false;
                NLEEditorJniJNI.delete_NLESegmentAudioFadeFilter(j);
            }
            this.LIZIZ = 0;
        }
        super.delete();
        MethodCollector.o(13881);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZJ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZ(long j) {
        MethodCollector.i(14096);
        NLEEditorJniJNI.NLESegmentAudioFadeFilter_setFadeInLength(this.LIZIZ, this, j);
        MethodCollector.o(14096);
    }

    public final void LIZIZ(long j) {
        MethodCollector.i(14098);
        NLEEditorJniJNI.NLESegmentAudioFadeFilter_setFadeOutLength(this.LIZIZ, this, j);
        MethodCollector.o(14098);
    }

    public NLESegmentAudioFadeFilter(long j) {
        super(NLEEditorJniJNI.NLESegmentAudioFadeFilter_SWIGSmartPtrUpcast(j));
        MethodCollector.i(13554);
        this.LIZJ = true;
        this.LIZIZ = j;
        MethodCollector.o(13554);
    }
}
